defmodule PhoenixPasskeys.Repo.Migrations.CreateUserCredentials do
  use Ecto.Migration

  def change do
    create table(:users_credentials, primary_key: false) do
      add :id, :binary, primary_key: true
      add :public_key_spki, :binary, null: false
      add :user_id, references(:users, on_delete: :delete_all), null: false
      timestamps()
    end
  end
end
